function c=Fourier(f,n,K)
    // f est une fonction, 1-périodique
    // K est le nombre de sous-intervalles pour la méthode des rectangles, 
    // n est un vecteur contenant les modes de Fourier à calculer
u=(0:K-1)/K;
//1/K est la fréquence d'échantillonnage
    y=exp(-2*%i*%pi*n'*u)*f(u)';
    c=y/K
endfunction
